Projects
Create or Update Project
Creates a new project or updates an existing one if ID is provided
Creates a new project or updates an existing one if ID is provided
Query Parameters
expand?|||array<>
Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (owner,status,teams,collection)
Default
"all"includeMarkdown?string
Include description.markdown field. Omit for better performance when markdown is not needed.
Value in
"true" | "false"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/projects" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec" }'{ "id": "string", "publicId": "string", "name": "string", "slug": "string", "icon": "string", "startDate": "2019-08-24T14:15:22Z", "dueDate": "2019-08-24T14:15:22Z", "ownerId": "string", "collectionId": "string", "workspaceId": "string", "statusId": "string", "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "teamIds": [ "string" ], "description": { "html": "string", "markdown": "string" }, "color": "string", "owner": { "id": "string", "name": "string", "email": "string" }, "status": { "id": "string", "name": "string", "color": "string", "icon": "string" }, "teams": [ { "id": "string", "name": "string", "publicId": "str" } ], "collection": { "id": "string", "name": "string" }}